#include <adv.t>
#include <std.t>

/*
 *  Separate file containing the conversational data for Scavenger
 *  non-player characters.
 */
 
askCharlie: function(npc, subject)
{
/*	local stat, str1, str2;
	stat := outcapture(true);
	str1 := subject.sdesc;
	str2 := outcapture(stat);
	switch (lower(str2)) {
*/
	switch (subject) {
		case security:
			"You ask Charlie, \"What kind of security do you have in the shop?\"\b\"Well,\" he says, \"there's a panic button back here which I can use to lock down the store.  I try to let everyone know about it.  Acts as a deterrent.\" ";
			break;
		case newspaper:
			"You ask, \"What's going on in the world?\"\bCharlie mutters, \"Same shit, different day.\" ";
			break;
		case scrapofpaper:
			"You haven't told anyone about the scrap of paper yet, and you'd like to keep it that way.  For now. ";
			break;
		case arcadiacity:
			"\"What do you think of the city, Charlie?\"\bCharlie harrumphs.  \"You've lived here as long as I have.  It's a shit-hole.  But where else ya gonna go?\" ";
			break;
		case displaycase:
			"You ask Charlie about the display case.  \"Yeah, plasteel.  Bullet proof.  Cost me a bundle, but it's secure.\" ";
			break;
		case rifle:
			"\"Hey, Charlie, tell me about this rifle on sale.\"\b\"Oh yeah, that's a fine piece of craftsmanship there.  A Ruger Mini-14 chambered in .223 Remington.  Costly, but worth every penny.  Semi-automatic with a twenty round magazine";
			if (subject.cost != nil) {
				".  Price is $";
				say(subject.cost * npc.discount / 100);
			}
			".\" ";
			break;
		case pistol:
			"\"What's this pistol?\"\bCharlie nods at you.  \"A SIG P239.  Nice, huh?  Good and compact.  Holds eight 9mm rounds.  Pretty reliable too.  Nice thing about this one is that it comes with not only a silencer, but a set of night sights too.";
			if (subject.cost != nil) {
				"  Gonna set you back $";
				say(subject.cost * npc.discount / 100);
				" if you want it.\"  He shrugs apologetically.  \"It's fully loaded, but that's all the ammo for it I've got.";
			}
			"\" ";
			break;
		case radpills:
			"\"Tell me about the radiation pills.\"\b\"I'm sure you're familiar with these by now.  Each dose will give you about twenty minutes of protection from dangerous doses of radiation.";
			if (subject.cost != nil) {
				"  Cost: $";
				say(subject.cost * npc.discount / 100);
				".";
			}
			"\" ";
			break;
		case gps:
			"\"Got any details on that GPS unit?\"\b\"I'm sure you've used a GPS before, right?  Got to, in your line of work.  Leads you to preprogrammed coordinates, and lets you save locations into memory.";
			if (subject.cost != nil) {
				"  I know the $";
				say(subject.cost * npc.discount / 100);
				" price is a little steep, but it's hard to find working pre-war models nowadays and the corps don't make them as well.  This particular one is a Pathfinder model 2200.";
			}
			"\" ";
			break;
		case grenade:
			"\"Nice grenade?\"\b\"Yeah, that's a doozy there.  M81 fragmentation grenade, complete with 150 grams of high explosives designed to hurl hundreds of tungsten ball bearings in all directions.  If you throw one of these babies, you'd better be behind something tough or in the next county.";
			if (subject.cost != nil) {
				"  Price is $";
				say(subject.cost * npc.discount / 100);
				" if you want it.";
			}
			"\" ";
			break;
		case laser:
			"\"Tell me about that laser.\"\bCharlie taps the glass of the counter above it.  \"Nice, huh?  Expensive too.  For a pistol, anyway.  The, uh...\" he peers at the laser, \"Vortex Model 17.  It's a pretty nice piece of hardware.  Rugged as all hell.  They specifically designed it as a street weapon.  Nice pop-up holographic sight too.  Anyway, I hate to tell you, but it's already sold.  Guy came in and bought it this morning.  He's coming by later tonight to pick it up.  Sorry.\" ";
			break;
		case buyertopic:
			"\"Who bought the laser?\"\bThe merchant shrugs.  \"Just some guy.  I didn't recognize him.\" ";
			break;
		case scavengers: case metopic:
			"\"Charlie, what do you think of us scavengers?\"\bCharlie laughs.  \"I think you're nuts!  Going out there into the wastes, looking for junk.  You scavengers are all a little loony.  If the radiation doesn't kill you, the wild animals or the raiders will.\" ";
			break;
		case radiation:
			"\"What have you heard about the radiation out there?\"\b\"Mostly what you've told me.  Pretty bad in general, though not so bad if you avoid the hot-spots.  But if it wasn't for these cool-spots, none of us would be around, I'm guessing.\" ";
			break;
		case wildanimals:
			"\"So you've heard all the stories of animals in the wasteland?\"\b\"You should know better than me,\" Charlie responds.  \"I don't know how true they are, but people are always talking about the giant mutant beasties out there.  True or not, I'd prefer to stay inside the walls.\" ";
			break;
		case shithole:
			"\"What do you mean 'a shit-hole?'\"\b\"Oh, come on,\" he says irritably, slamming the newspaper down on the display case.  \"Bunch of savages in this town.  These 'corporations' run everything, and they're no better than common crooks.  Worse, in fact, since they control fucking everything.  They run the whole damn city: the council, the courts, the Security Force.\"  He picks up his paper again, frowning angrily.  \"We're just damn cogs in their machine.  We obey like good little sheep or we're taken out of the picture.  This is no way for a human being to live.\" ";
			break;
		case crowd: case sceneryraiders:
			"\"What do you know of raiders?\"\bCharlie stabs his finger down on the newspaper.  \"They say raider attacks are up fifty percent this year.  Fifty percent!  They say that EVERY year!  For the past ten years!  I mean, come on!  Do they really think we're that stupid?  It's fucking ridiculous.  All an excuse to keep so many Enforcers around.\" ";
			break;
		case corporations:
			"\"What do you think of the corps?\"\b\"Criminals,\" he mutters crossly.  \"Everyone knows it.  They just go by the moniker 'corporation' to appear legitimate.  It's just organized crime.  The city council is just their puppet government.\" ";
			break;
		case quintin:
			"\"Ever heard of Quintin Stone?\"\bCharlie nods.  \"Yeah, some famous Lancer, I think.  Supposed to be one of the best in the business.\" ";
			break;
		case lancers:
			"\"Tell me what you know about the Lancers.\"\b\"The Freelancers Guild.  Mercenaries, really.  They're supposed to take any job as long as the price is right.  All the corps use them.  They handle all the behind-the-scenes back-alley wet works that none of the corporations want to get caught doing.  I'm surprised you don't know all this.\" ";
			break;
		case store:
			"\"Your shop do alright?\"\b\"Eh,\" Charlie responds.  \"It does alright.  Enough to pay the bills.  Not much more than that.\" ";
			break;
		case war:
			"\"What do you know of the war?\"\bCharlie shrugs.  \"As much as the next man, I suppose.  Some kind of revolution against the government a hundred years ago.  The rebels were winning, so the psycho in charge started a global nuclear exchange.  Boom.  And here we are, the result.  Good thing there are these cool-spots around or we probably would all be dead from the radiation.\" ";
			break;
		case coolspots:
			"\"Cool-spots?\"\bCharlie raises an eyebrow.  \"You should know better than anyone, considering you go out there.  Yeah, Arcadia was built on a really big rad-free zone.  No one knows exactly where it came from or what causes it.  Lot of people curious to find out, though.\" ";
			break;
		case discount1:
			if (!global.scDiscount) {
				"\"You gonna give me that discount, Charlie?\"\b";
				if (npc.totalsold > 0) {
					"Charlie slaps his forehead.  \"Ah, crap!  Completely forgot your regular five percent discount.  Here.\"  He hands you back some of your money. ";
					parserGetMe().money += (npc.totalsold * 5) / 100;
				} else {
					"Charlie nods.  \"Oh, yeah, knock off the usual five percent.\" ";
				}
				npc.discount := 95;
				incscore(1);
				global.scDiscount := true;
			} else {
				"\"So how about that discount?\"\b\"Hey, I already told you, five percent.  It's only because I like you that I even give you that much!\" ";
			}
			break;
		case government:
			"\"You don't care for the city council?\"\bGlowering, Charlie mutters, \"What are you kidding me?  You know what they charge me in 'taxes'?  And then there's the protection racket the Enforcers run.  They have the technology, they have the biggest guns, so they make the rules.  I think that's the definition of savagery.\" ";
			break;
		case taxes:
			"\"How bad are the taxes?\"\b\"I'm barely staying in business,\" he says, shaking his head sadly. ";
			break;
		case charlie:
			"\"So how you doing, Charlie?\"\b\"Oh, you know,\" he says.  \"I'm hanging in there.\" ";
			break;
		case weapons:
			"\"Tell me about your weapons.\"\b\"Which gun do you want to know about?\" ";
			break;
		case AndrewPlotkin:
			"\"Do you know Andrew Plotkin?\"\b\"Know him?  Hell, I <I>was</I> him!\" ";
			break;
		case EmilyShort:
			"\"Ever heard of Emily Short?\"\b\"Nah, I'm a pretty simple NPC.\" ";
			break;
		case MikeRoberts:
			"\"Charlie, do you know Mike Roberts?\"\b\"A tad.\" ";
			break;
		case GrahamNelson:
			"\"Familiar with a guy named Graham Nelson?\"\b\"Yeah, I'm pretty well-informed.\" ";
			break;
		case AdamCadre:
			"\"Hey, Charlie, you ever met Adam Cadre?\"\b\"I had a photopia around here once that had his name on it.  I think I dropped it.  Doesn't work anymore.\" ";
			break;
		case PaulOBrian:
			"\"You ever heard of Paul O'Brian?\"\bHe gestures at a mangled humanoid form in the corner.  \"Someone found this here Multiple Use Land Explorer out in the wasteland.  But I couldn't get the piece of junk to work.  Has that guy's name on it.\" ";
			break;
		case IanFinley:
			"\"Charlie, you know Ian Finley?\"\b\"Oh, yeah, I know him.  Babels incessantly.\" ";
			break;
		case MichaelGentry:
			"\"Do you know who Michael Gentry is?\"\b\"Yup.  Little blue guy.  Always going on and on about Nyarlathotep and Ialdabaoloth.\" ";
			break;
		case ScottAdams:
			"\"Do you know a guy named Scott Adams?\"\b\"Didn't he write those Dilbert comic strips?\" ";
			break;
		case SteveMeretzky:
			"\"Steve Meretzky?  You know him?\"\b\"That guy?  His mind is always wandering.\" ";
			break;
		case MarcBlank:
			"\"Ever heard of Marc Blank?\"\b\"Isn't he the guy who did all those cartoon voices?\" ";
			break;
		case DaveLebling:
			"\"Charlie, do you know Dave Lebling?\"\b\"Yeah.  Enchanting fellow.\" ";
			break;
		case Wheeler:
			"\"Ever heard of J. Robinson Wheeler?\"\b\"You're putting me between a rock and a hard place.  Okay, look, first things first.  You've heard the tale of the Kissing Bandit and the Argonauts, right?  No?  Well, I was hoping you did, because I can't remember it.  Something about the four-in-one colours of a centipede, or some such craziness.  Crap.  Being Andrew Plotkin for all those years really messed up my brain.\" ";
			break;
		case randomness:
			"\"Tell me about randomness.\"\b\"In a clockwork Newtonian model nothing is truly random.  If you run a deterministic model twice from the same initial state, it will do the same thing both times.  However, we currently have a different model of the universe: a quantum mechanical one.  In quantum mechanics -- at least, as currently formulated -- there is genuine randomness.  Just as the rule 'shuffle the cards' permits many different outcomes, so the rules of quantum mechanics permit a particle to be in many different states. ";
			"When we observe its state, we pin it down to a particular value in the same way that turning over the top card of the pack reveals a particular card. But while a quantum system is following its own nose, unobserved, it has a random choice of possible futures.  So whether we think that our universe as a whole is random depends on what brand of physics we currently espouse, and since we can't actually run the entire universe twice from the same initial conditions the whole discussion becomes a trifle moot.  You dig?\" ";
			securitybadge.person := 1;
			personDB.codes := [12345 69105 54321 44544 21995 46661];
			confguard.passwordnum := 1;
			break;
		case wasteland:
			"\"What do you know about the wasteland.\"\b\"Not a place I'd want to visit.  Radiation, mutant animals, bands of raiders.  All to dig out a few rusted pieces of junk from one hundred year-old ruins?  No thanks, I'll pass.\" ";
			break;
		case enforcers:
			"\"Tell me about the Enforcers.\"\bCharlie scowls.  \"Thugs.  Crooks with badges.  You're lucky if all they do is shake down your business.  I'm not sure which is worse: the Enforcers or the Regulators.\" ";
			break;
		case sceneryenforcerweapons:
			"\"Where can I get some Enforcer weaponry?\"\bThe merchant laughs.  \"Don't talk to me.  Do you think I'd be in this shitty neighborhood if I was dealing in that kind of hardware?  Besides -- and no offense -- but there's no way in hell you could afford that stuff.\" ";
			break;
		case regulators:
			"\"What do you think of the Regulators?\"\b\"Oh, the so-called 'elite forces'?\" he replies.  \"The Enforcers might beat you or kill you... but if you cross a Regulator, you're likely to disappear and never be heard from again.\" ";
			break;
		case commissioner:
			"\"What do think is going to happen now, with the Security Commissioner dead?\"\b\"Whew,\" Charlie responds.  \"Nothing good, I can tell you that.\" ";
			break;
		case JonIngold:
			"\"Ever heard of Jon Ingold?\"\b\"They say all roads lead to Jon Ingold.\"";
			break;
		case MikeSousa:
			"\"You ever met Mike Sousa?\"\b\"Ah, don't get me started on that guy.  I'm at my wit's end.\"";
			break;
		case PeterNepstad:
			"\"Do you know a guy called Peter Nepstad?\"\bCharlie peers around carefully.  \"He's a fairly mysterious fellow.\"";
			break;
		case JessicaKnoch:
			"\"Charlie, ever heard of Jess Knoch?\"\b\"Yeah, she's in my bowling league.\"";
			break;
		case DanielRavipinto:
			"\"Charlie, you ever meet Daniel Ravipinto?\"\b\"The guy's got the worst posture.  Always slouching.\"";
			break;
		case StarFoster:
			"\"Hey, ever hear of Star Foster?\"\b\"She's no slouch,\" Charlie replies.";
			break;
		case RobbSherwin:
			"\"Do you know a guy called Robb Sherwin?\"\b\"Squeal, boy, squeal!\"";
			break;
		case ChrysoulaTzavelas:
			"\"Have you ever met Chrysoula Tzavelas?\"\b\"I think she's a demon.  Or an angel.  Not sure.\"";
			break;
		case GarethRees:
			"\"Do you know a guy called Gareth Rees?\"\b\"The guy told me he had the recipe for the Elixir of Life.  What a load of nonsense!\"";
			break;
		case LucianSmith:
			"\"Ever heard of Lucian P. Smith?\"\b\"Oh yeah, Lucian.  Tried to sell me this big block of stone once.  I told him to get lost.\"";
			break;
		case StephenGranade:
			"\"You ever met Stephen Granade?\"\b\"He lost his grip a while back.  Haven't seen him since.  He did send me this nice t-shirt though.\"";
			break;
		case MagnusOlsson:
			"\"Hey, Charlie, you know a guy named Magnus Olsson?\"\bThe merchant glowers.  \"You know what Uncle Magnus left me in his will?  NOTHING!  Bah.\"";
			break;
		case MichaelCoyne:
			"\"Ever heard of Michael Coyne?\"\b\"Wasn't he the guy who gets shot out of a cannon?\"";
			break;
		case RossRaszewski:
			"\"You ever met L. Ross Raszewski?\"\bCharlie checks his watch.  \"Hold on a moment, I'm out of time...  Wait, what were we talking about?\"";
			break;
		case DanShiovitz:
			"\"Do you know a Dan Shiovitz?\"\b\"Chef, right?  Always covered with ink?  Nope, never heard of him.\"";
			break;
		case YoonHaLee:
			"\"Ever heard of Yoon Ha Lee?\"\b\"She rests at Arcadia's metaphysical center, between translucence and opacity, curve and line, and other dichotomies too subtle for man's woefully inadequate knowledge.\"";
			break;
		case APHill:
			"\"Hmm, you ever run into A.P. Hill?\"\b\"He once fed me a stack of pancakes and I died from hunger three turns later.\"";
			break;
		case PeterSeebach:
			"\"Do you know a guy named Peter Seebach?\"\bHe picks up a small bottle.  \"Yeah, he sold me these here pills which are supposed to make you speak in French.  All they did, though, was fog up my bathroom mirror.  What a rip off!\"";
			break;
 		default:
			return nil;
	}
	return true;
}

askIona: function(npc, subject)
{
	switch (subject) {
		case iona:
			"\"Where are you from?\"\bShe blinks, confused.  \"Here.\"\b\"Were you born here?\"  Iona merely shrugs. ";
			break;
		case parents:
			"\"Where is your family?\"\bIona's eyes well up with tears.  \"Dead,\" she says in a barely audible whisper.  \"The bad men killed them.  They killed everyone.\"  Tears leave muddy tracks as they run down her face. ";
			break;
		case skeleton1:
			"\"Do you know who the skeletons were?\"\bIona rubs teary eyes.  \"My mommy and daddy.\" ";
			break;
		case crowd: case guard: case sceneryraiders: case badmen:
			"\"What can you tell me about the raiders?\"\bIona wipes her hand across her nose.  \"The bad men came... a bunch of days ago.  They moved into the base near here.  Then they killed everyone.\"  She starts to cry.  \"They had guns and knives and everyone was screaming and there was blood everywhere....\"  She sobs, unable to continue. ";
			break;
		case sceneryshack:
			"\"Is this shack where you live?\"\bIona nods, looking around.  \"Yeah.  I don't think the mean doggies like the smell in here, so they don't try to get me when I'm in here.\" ";
			break;
		case base:
			"\"What do you know about this base that's nearby?\"\b\"It's a building under the ground,\" Iona says.  \"That's where the bad men live.  My parents couldn't open the door, but the bad men could when they came.  Then they came here and....\"  She swallows, then continues.  \"There's a bad man guarding the door, but I think I know a secret way.\" ";
			break;
		case secret:
			if (iona.foundpath) {
				"\"How did you find the secret way to the base?\"\b\"I was playing.  My mommy said I shouldn't play near the scratchy plants, but I did anyway.  I found a way through them.\" ";
			} else {
				if (iona.gotdoll) {
					"\"You know a secret way into the base?\"\bIona nods.  \"I found it.  I was playing and I found it.  In the bushes.  Let me show you where it is!\"  She leads you back to the clearing.\b";
					doll.moveInto(iona);
					iona.moveInto(clearing);
					parserGetMe().travelTo(clearing);
					"\bIona leads you over to the brambles.  \"Down here\", she says, getting down on her hands and knees.  As you do the same, she points to a well-hidden gap in the brambles to the southwest.  \"Back there.  You can crawl to the secret way in.\"  Giggling, she stands up.  She skips back to the shack, hugging her rag doll close and waving to you. ";
					iona.foundpath := true;
					iona.gotdoll := true;
					iona.moveInto(shack);
					iona2Hint.active := nil;
					addword(brambles, &noun, 'gap');
				} else {
					"\"You know a secret way into the base?\"\bIona nods.  \"I found it.  I was playing and I found it.  In the bushes.  I can show you where it is.  But... I lost my dolly and I can't reach it.  Can you get it for me?  I miss it so much.\"  She blinks back tears. ";
					iona.askedpath := true;
				}
			}
			break;
		case doll:
			if (iona.gotdoll) {
				"\"How is your doll?\"\bIona smiles briefly.  \"She was scared before but now she's not.\" ";
			} else if (doll.isIn(parserGetMe())) {
				"\"Is this your doll?\"\b";
				iona.ioGiveTo(parserGetMe(), doll);
			} else {
				"\"Where is your doll?\"\b\"I dropped it.  I was in the building and the doggies came and scared me and I dropped it down in the hole.  I can't reach it and the ladder is broken.  It's too far down.  Will you get it for me?\" ";
			}
			break;
		case villagers:
			"\"What happened to the village?  To the people?\"\bIona bites her lip.  \"The bad men came.  They were screaming and it was so loud.  I hid until the bad men left.\" ";
			break;
		case necklace:
			if (necklace.isVisible(shack)) {
				"\"Do you recognize this necklace?\"\bIona nods.  \"It used to be my mom's.\"  She sniffles.  \"But you can keep it.  Since you're so nice.\" ";
			} else {
				"\"Have you seen a necklace around here?\"\bIona nods.  \"It used to be my mom's.\"  She sniffles.  \"But if you find it, you can have it.  Since you're so nice.\" ";
			}
			break;
		case coyotes:
			"\"The coyotes have been after you?\"\b\"Yes, the doggies are very mean.  I think they want to eat me.\" ";
			break;
		case weapons:
			"\"The bad men had guns and knives?\"  Iona nods pitifully. ";
			break;
		default:
			return nil;
	}
	return true;
}

askGuard: function(npc, subject)
{
	switch (subject) {
		case arcadiacity:
			"\"What do you know of Arcadia?\"\bThe man waves his hand and says, \"Some so-called city.  S'posed to be a couple days west of here.  Boss says we may raid it sometime soon.\" ";
			break;
		case pistol:
			if (pistol.isVisible(npc)) {
				"\"Like my pistol?\"\b\"Hey, nice looking piece.  Wouldn't mind having one of those.\" ";
				npc.seengun := true;
			} else {
				"\"Know where I can get a good pistol?\"\bThe raider shakes his head.  \"Could always ask one of the others.\" ";
			}
			break;
		case metopic:
			raiseSuspicion(npc);
			if (npc.suspicion = 1)
				"\"Think I have a future here?\"\bHe shrugs.  \"Sure, whatever.\" ";
			else if (npc.suspicion = 2)
				"\"Think I have a future here?\"\bThe raider peers closely at you.  \"I don't know.  I don't recall ever seeing you around here before.  You a new recruit?  Just do as you're told and you'll be fine.\" ";
			else if (npc.suspicion = 3)
				"\"Think I'll be a good raider?\"\bThe guard's brow furrows and his hand taps the grip of his weapon.  \"You sure talk a lot for a recruit.\" ";
			break;
		case recruit:
			raiseSuspicion(npc);
			"\"Recruits?\"\bThe raider makes a puzzled face and stares at you.  \"You should know better than anyone.  Ain't you a new recruit?  I don't remember seeing you around before.\" ";
			break;
		case scavengers:
			"\"You ever heard of scavengers?\"\bHe spits on the ground.  \"Fucking city scum, coming out into our territory and stealing our shit.  If you ever see any, just shoot the bastards.  Boss'll reward you for sure.\" ";
			break;
		case technology:
			"\"What kind of technology?\"\b\"Pre-war stuff.  Weapons and armor what I like best.  Boss likes to collect all kinds though.  Probably all kinds of shit downstairs, if only we could get down there.\" ";
			break;
		case war:
			"\"What do you know about the war?\"\bThe raider shrugs.  \"Long before my time.  I don't know who did it or why.  I only know that now I have to live in this fucking hell they created.\" ";
			break;
		case crowd: case guard: case sceneryraiders: case badmen:
			raiseSuspicion(npc);
			"You ask the man about the raiders group.  \"Weren't you listening when they brought you in?\" he snaps.  \"Somebody shoulda gone over this stuff with you.\" ";
			break;
		case base:
			"\"How did we find this base?\"\bHe looks around the room and nods.  \"Not sure, really.  I think the boss got lucky, but he may have known something in advance.\"  He shrugs.  \"The amazing fucking thing is to find a place like this with the <I>power</I> still working.  I mean, I've never heard of anything like that.  A good thing, too, considering we can't get to through that door to the lower levels.\" ";
			break;
		case generator:
			"\"The power was still working?\"\bThe guard nods.  \"Yeah.  I been with the boss since the beginning, so I was with him when we first found this place.  There must be some kind of self-maintaining fusion plant down there for it to last this long.\" ";
			break;
		case firstfloordoor: case panel1: case keypad1: case grid1: case passcode: case security:
			"\"Won't that security door open?\"\b\"Nah,\" the raider says.  \"We've tried forcing it, but the damn thing's too strong.  Even if we knew the security code, the keypad don't even seem to work.  If we can't get the door open, we're going to have to blast it.  I hear we just got the explosives we'll need.\" ";
			break;
		case scenerydoor8:
			"\"What's behind this door?\"\b\"That's the boss's office.  That's where he meets with people.  The room behind that is his own personal room.\" ";
			break;
		case necklace:
			if (datacube1.location != npc) {
				"\"How's that necklace?\"\bThe guard taps the crystal with his finger.  \"Looks good on me.\" ";
			} else {
				if (necklace.isVisible(npc)) {
					npc.seenecklace;
				} else {
					npc.disavow;
				}
			}
			break;
		case trade:
			if (datacube1.location != npc) {
				"\"Want to make another trade?\"\bThe man shakes his head.  \"I'm good.\" ";
			} else if (npc.seennecklace) {
				if (npc.seengun) {
					"\"Interested in trading me that prism?\"\bThe guard nods.  \"Sure.  If you want this thing, hey, who am I to argue?  I'll give it to you for that pistol or that crystal.\" ";
				} else {
					"\"Interested in trading me that prism?\"\bThe guard nods.  \"Sure.  If you want this thing, hey, who am I to argue?  I'll give it to you for that crystal of yours.\" ";
				}
			} else if (npc.seengun) {
				"\"Interested in trading me that prism?\"\bThe guard nods.  \"Sure.  If you want this thing, hey, who am I to argue?  I'll give it to you for that pistol of yours.\" ";
			} else {
				"\"Interested in trading me that prism?\"\bThe guard nods.  \"Sure, if you've got anything worth it.\" ";
			}
			npc.askedaboutcube := true;
			break;
		case villagers:
			"\"You know anything about that village nearby?\"\bThe raider nods, smirking.  \"A bunch of pathetics that built some shacks near here a few years back I guess.  They were there when we found the place a few weeks ago, but the boss decided they were too close to the base, so they had to be eliminated.\"  He laughs.  \"They barely put up a fight.\" ";
			break;
		case leader:
			"\"Tell me about the leader.\"\b\"You've seen him, haven't you?  Biggest guy I've ever met.  Smart and ruthless.  Practically indestructible in that combat armor of his.  Known him for years, so he trusts me, ya know?  Doesn't trust all the new recruits, so he has me stand guard here.  Doesn't trust all the vets either.  Thinks some of them might be out to get him.";
			if (!npc.gotpassword)
				"  If you've gotten this week's password, then you've gotten permission to go in and see him.";
			"\" ";
			break;
		case datacube1:
			if (datacube1.location != npc) {
				"\"Where did you find that prism you were wearing?\"\bHe shrugs.  \"Not sure.  Around here somewhere.  Don't remember which room.\" ";
			} else {
				"\"That's an interesting medallion you're wearing.\"\bThe raider guard looks down.  \"Yeah.  I take it off when we go on a raid.  Reflections can give our position away.  But otherwise I think it looks good on me. ";
				if (npc.seennecklace) {
					"Yours is nicer, though, if you want to trade.";
				} else {
					"But I'm always looking if you are interested in trading.";
				}
				"\" ";
				npc.askedaboutcube := true;
			}
			break;
		case uniform1: case uniform2: case gangcolors:
			raiseSuspicion(npc);
			"\"Why does everyone wear the same colors.\"\bThe guard frowns at you.  \"What the hell?  Didn't they tell you anything when you joined or are you just too stupid to learn?  It's how we identify each other, especially during a raid.  Gets really crazy.  Need to be able to see who's one of us.\" ";
			break;
		case grenadelauncher:
			"\"I saw a grenade launcher in there--\"\bThe guard cuts you off.  \"Don't mess with that, you hear me?  That's the boss's.  Not only does he not want people messing with his stuff, but it's got one of those, uh, hand scanners on it.  Only the boss can use it.  So it wouldn't do you any good.  So forget about it.\" ";
			break;
		case armor:
			"\"What kind of armor does the boss wear?\"\b\"Some military get up,\" the raider responds.  \"Big bulky suit, right, but hard with powered joints so he can still move quickly.  Most bullet just bounce right off too.  Definitely wouldn't mind one of those.\" ";
			break;
		case map:
			"\"What was that map in the barracks.\"\b\"Boss was showing us a place he wants to hit.  City called Arcadia, he said.\" ";
			break;
		case password:
			"\"Why do I need a password to see the boss?\"\b\"Well,\" the guard starts, \"the boss doesn't trust all the new recruits, so he has me stand guard here.  Doesn't trust all the vets either.  Thinks some of them might be out to get him when he's not wearing his armor.  If you've gotten this week's password, then you've gotten permission to go in and see him.  Otherwise, you can see Ertz or one of the other capos.  If they decide you need to see him, you'll get this week's password.\" ";
			break;
		case securityconsole: case securitystation:
			"\"What's the console in the boss's room?\"\bThe raider shrugs.  \"Dunno, I leave that stuff up to the boss.\" ";
			break;
		case confguard:
			"\"How long have you been with the group?\"\b\"For years,\" he says.  \"Met him in some rat-hole years back.  Some guys jumped him and I lent a hand.  Been with him ever since.\" ";
			break;
		case ertz:
			"\"Where can I find Ertz?\"\bThe raider shrugs.  \"Somewhere.  I dunno.  Maybe in the barracks, maybe outside.  Not my problem, newbie.\" ";
			break;
		case submachinegun:
			"\"Where'd you get that gun?\"\bHe peers at you suspiciously. \"That's a perk of rank.  It'll take you a long time to earn something this good.\" ";
			break;
		case randall:
			"\"Do you know a guy named Randall?\"\bThe man nods, rubbing his chin.  \"Oh, yeah, Randall.  Good with explosives.  Kind of a bigwig around here.\" ";
			break;
		case sulz:
			"\"What can you tell me about Sulz?\"\b\"Don't mention that name,\" the guard says coldly, shaking his head.  \"That guy never listened to directions and now he's taking a dirt nap.\" ";
			break;
		case jones:
			"\"So who is Jones?\"\bThe guard frowns and says, \"A guy with a pretty high opinion of himself.  I ain't saying any more.\" ";
			break;
		case monkeytopic: case bouldertopic: case mutanttopic: case pinholetopic:
			if (subject.txt = npc.getpassword) {
				"You say, \"The password is '<<npc.getpassword>>.'\"<<global.dispParagraph>>The guard nods.  \"That's it.  Go on in.  Just don't mess with anything in there.  Understand?  If you do, I got to kill you.\" ";
				npc.gotpassword := true;
			} else {
				"The guard shakes his head.  \"Nope.\" ";
			}
			break;
		default:
			return nil;
	}
	return true;
}

raiseSuspicion: function(obj)
{
	obj.suspicion++;
	if (obj.suspicion > obj.threshold) {
		obj.turnin;
	} else {
		return true;
	}
}

/*
 *	Various discussion topics
 */

arcadiacity: knownTopic
	sdesc = "Arcadia"
	noun = 'city' 'Arcadia'
;

parents: knownTopic
	sdesc = "parents"
	noun = 'parent' 'parents' 'family' 'father' 'dad' 'daddy' 'mom' 'mother' 'mommy'
;

shithole: knownTopic
	sdesc = "shithole"
	noun = 'shithole' 'where else' 'shit-hole'
;

scavengers: knownTopic
	sdesc = "scavengers"
	noun = 'scavengers' 'scavenger'
;

corporations: knownTopic
	sdesc = "corporations"
	noun = 'corps' 'corp' 'corporation' 'corporations' 'CyTek' 'Vortex'
;

quintin: knownTopic
	sdesc = "Quintin Stone"
	noun = 'quintin' 'stone' 'quintin stone'
	adjective = 'quintin'
;

lancers: knownTopic
	sdesc = "lancers"
	noun = 'lancer' 'lancers' 'freelancers' 'freelancer'
;

war: knownTopic
	sdesc = "war"
	noun = 'war' 'revolution' 'holocaust'
	adjective = 'nuclear'
;

coolspots: knownTopic
	sdesc = "cool-spots"
	noun = 'cool-spots' 'spots' 'spot' 'cool-spot'
	adjective = 'cool'
;

radiation: knownTopic
	sdesc = "radiation"
	noun = 'radiation' 'hot-spots' 'spots' 'spot' 'hot-spot'
	adjective = 'hot'
;

store: knownTopic
	sdesc = "shop"
	noun = 'shop' 'store'
	adjective = 'merchant'
;

base: knownTopic
	sdesc = "base"
	noun = 'base' 'complex' 'compound' 'facility'
	adjective = 'research' 'military' 'underground'
;

villagers: knownTopic
	sdesc = "village"
	noun = 'village' 'villagers' 'people' 'everyone'
;

badmen: knownTopic
	sdesc = "raiders"
	noun = 'men' 'man'
	adjective = 'bad'
;

secret: knownTopic
	sdesc = "secret"
	noun = 'secret' 'way'
	adjective = 'secret'
;

discount1: knownTopic
	sdesc = "discount"
	noun = 'discount'
;

recruit: knownTopic
	sdesc = "recruit"
	noun = 'recruit' 'recruits'
	adjective = 'new' 'green'
;

technology: knownTopic
	sdesc = "technology"
	noun = 'tech' 'technology' 'junk'
	adjective = 'advanced'
;

trade: knownTopic
	sdesc = "trade"
	noun = 'trade' 'swap' 'trading'
;

gangcolors: knownTopic
	sdesc = "gang colors"
	noun = 'colors'
	adjective = 'gang'
;

armor: knownTopic
	sdesc = "raider leader's armor"
	noun = 'armor'
	adjective = 'boss\'s' 'raider' 'leader' 'leader\'s'
;

password: knownTopic
	sdesc = "password"
	noun = 'password'
	adjective = 'secret' 'week\'s'
;

government: knownTopic
	sdesc = "government"
	noun = 'government' 'council'
	adjective = 'city' 'Arcadia'
;

ertz: knownTopic
	sdesc = "Ertz"
	noun = 'Ertz' 'capo' 'capos'
;

name: knownTopic
	sdesc = "name"
	noun = 'name' 'identity'
	adjective = 'my' 'her'
;

weapons: knownTopic
	sdesc = "guns and knives"
	noun = 'guns' 'knives'
	adjective = 'guns' 'and'
;

wildanimals: knownTopic
	sdesc = "wild animals"
	noun = 'animals' 'animal'
	adjective = 'wild' 'mutant'
;

AndrewPlotkin: knownTopic
	sdesc = "Andrew Plotkin"
	noun = 'Andrew Plotkin' 'Plotkin' 'zarf'
	adjective = 'Andrew'
	thedesc = "<<self.sdesc>>"
;

EmilyShort: knownTopic
	sdesc = "Emily Short"
	noun = 'Emily Short' 'Short'
	adjective = 'Emily' 
	thedesc = "<<self.sdesc>>"
;

MikeRoberts: knownTopic
	sdesc = "Mike Roberts"
	noun = 'Mike Roberts' 'Roberts'
	adjective = 'Mike' 'Michael'
	thedesc = "<<self.sdesc>>"
;

GrahamNelson: knownTopic
	sdesc = "Graham Nelson"
	noun = 'Graham Nelson' 'Nelson'
	adjective = 'Graham' 
	thedesc = "<<self.sdesc>>"
;

AdamCadre: knownTopic
	sdesc = "Adam Cadre"
	noun = 'Adam Cadre' 'Cadre'
	adjective = 'Adam' 
	thedesc = "<<self.sdesc>>"
;

PaulOBrian: knownTopic
	sdesc = "Paul O'Brian"
	noun = 'Paul O\'Brian' 'O\'Brian'
	adjective = 'Paul' 
	thedesc = "<<self.sdesc>>"
;

IanFinley: knownTopic
	sdesc = "Ian Finley"
	noun = 'Ian Finley' 'Finley'
	adjective = 'Ian' 
	thedesc = "<<self.sdesc>>"
;

MichaelGentry: knownTopic
	sdesc = "Michael Gentry"
	noun = 'Michael Gentry' 'Gentry'
	adjective = 'Michael' 'Mike'
	thedesc = "<<self.sdesc>>"
;

ScottAdams: knownTopic
	sdesc = "Scott Adams"
	noun = 'Scott Adams' 'Adams'
	adjective = 'Scott' 
	thedesc = "<<self.sdesc>>"
;

SteveMeretzky: knownTopic
	sdesc = "Steve Meretzky"
	noun = 'Steve Meretzky' 'Meretzky'
	adjective = 'Steve' 
	thedesc = "<<self.sdesc>>"
;

MarcBlank: knownTopic
	sdesc = "Marc Blank"
	noun = 'Marc Blank' 'Blank'
	adjective = 'Marc' 
	thedesc = "<<self.sdesc>>"
;

DaveLebling: knownTopic
	sdesc = "Dave Lebling"
	noun = 'Dave Lebling' 'Lebling'
	adjective = 'Dave' 
	thedesc = "<<self.sdesc>>"
;

Wheeler: knownTopic
	sdesc = "J. Robinson Wheeler"
	noun = 'J. Robinson Wheeler' 'Wheeler'
	adjective = 'J.' 'Robinson' 'Rob'
	thedesc = "<<self.sdesc>>"
;

randomness: knownTopic
	sdesc = "randomness"
	noun = 'random' 'randomness' 'chaos'
;

security: knownTopic
	sdesc = "security"
	noun = 'security'
;

regulators: knownTopic
	sdesc = "regulators"
	noun = 'regulator' 'regulators' 'forces' 'force'
	adjective = 'elite'
;

wasteland: knownTopic
	sdesc = "wasteland"
	noun = 'wasteland' 'wastes'
;

randall: knownTopic
	sdesc = "Randall"
	noun = 'Randall'
;

sulz: knownTopic
	sdesc = "Sulz"
	noun = 'Sulz'
;

jones: knownTopic
	sdesc = "Jones"
	noun = 'Jones'
;

passcode: knownTopic
	sdesc = "passcode"
	noun = 'passcode' 'code'
	adjective = 'pass' 'security'
;

commissioner: knownTopic
	sdesc = "security commissioner"
	noun = 'commissioner' 'assassination'
	adjective = 'commissioner' 'security' 'Arcadia' 'Arcadian'
;

taxes: knownTopic
	sdesc = "taxes"
	noun = 'taxes'
;

mutanttopic: knownTopic
	noun = 'mutant'
	txt = 'mutant'
	sdesc = "mutant"
;

bouldertopic: knownTopic
	noun = 'boulder'
	txt = 'boulder'
	sdesc = "boulder"
;

pinholetopic: knownTopic
	noun = 'pinhole'
	txt = 'pinhole'
	sdesc = "pinhole"
;

monkeytopic: knownTopic
	noun = 'monkey'
	txt = 'monkey'
	sdesc = "monkey"
;

buyertopic: knownTopic
	sdesc = "buyer"
	noun = 'guy' 'buyer'
;

metopic: knownTopic
	sdesc = "Me"
	noun = 'me' 'myself'
;

JonIngold: knownTopic
	sdesc = "Jon Ingold"
	noun = 'Jon Ingold' 'Ingold'
	adjective = 'Jon' 
	thedesc = "<<self.sdesc>>"
;

MikeSousa: knownTopic
	sdesc = "Mike Sousa"
	noun = 'Mike Sousa' 'Sousa'
	adjective = 'Mike' 
	thedesc = "<<self.sdesc>>"
;

PeterNepstad: knownTopic
	sdesc = "Peter Nepstad"
	noun = 'Peter Nepstad' 'Nepstad'
	adjective = 'Peter' 
	thedesc = "<<self.sdesc>>"
;

JessicaKnoch: knownTopic
	sdesc = "Jessica Knoch"
	noun = 'Jessica Knoch' 'Knoch'
	adjective = 'Jessica' 'jess' 'jessie'
	thedesc = "<<self.sdesc>>"
;

DanielRavipinto: knownTopic
	sdesc = "Daniel Ravipinto"
	noun = 'Daniel Ravipinto' 'Ravipinto'
	adjective = 'Daniel' 'dan'
	thedesc = "<<self.sdesc>>"
;

StarFoster: knownTopic
	sdesc = "Star Foster"
	noun = 'Star Foster' 'Foster'
	adjective = 'Star' 
	thedesc = "<<self.sdesc>>"
;

RobbSherwin: knownTopic
	sdesc = "Robb Sherwin"
	noun = 'Robb Sherwin' 'Sherwin'
	adjective = 'Robb' 
	thedesc = "<<self.sdesc>>"
;

ChrysoulaTzavelas: knownTopic
	sdesc = "Chrysoula Tzavelas"
	noun = 'Chrysoula Tzavelas' 'Tzavelas'
	adjective = 'Chrysoula' 
	thedesc = "<<self.sdesc>>"
;

GarethRees: knownTopic
	sdesc = "Gareth Rees"
	noun = 'Gareth Rees' 'Rees'
	adjective = 'Gareth' 
	thedesc = "<<self.sdesc>>"
;

LucianSmith: knownTopic
	sdesc = "Lucian P. Smith"
	noun = 'Lucian P. Smith' 'Smith'
	adjective = 'Lucian' 'P.' 'P'
	thedesc = "<<self.sdesc>>"
;

StephenGranade: knownTopic
	sdesc = "Stephen Granade"
	noun = 'Stephen Granade' 'Granade'
	adjective = 'Stephen' 
	thedesc = "<<self.sdesc>>"
;

MagnusOlsson: knownTopic
	sdesc = "Magnus Olsson"
	noun = 'Magnus Olsson' 'Olsson'
	adjective = 'Magnus' 
	thedesc = "<<self.sdesc>>"
;

MichaelCoyne: knownTopic
	sdesc = "Michael J. Coyne"
	noun = 'Michael J. Coyne' 'Coyne'
	adjective = 'Michael' 'J' 'J.'
	thedesc = "<<self.sdesc>>"
;

RossRaszewski: knownTopic
	sdesc = "L. Ross Raszewski"
	noun = 'L. Ross Raszewski' 'Raszewski'
	adjective = 'L.' 'L' 'Ross' 
	thedesc = "<<self.sdesc>>"
;

DanShiovitz: knownTopic
	sdesc = "Dan Shiovitz"
	noun = 'Dan Shiovitz' 'Shiovitz'
	adjective = 'Dan' 'Daniel'
	thedesc = "<<self.sdesc>>"
;

YoonHaLee: knownTopic
	sdesc = "Yoon Ha Lee"
	noun = 'Yoon Ha Lee' 'Lee'
	adjective = 'Yoon' 'Ha'
	thedesc = "<<self.sdesc>>"
;

APHill: knownTopic
	sdesc = "A.P. Hill"
	noun = 'A.P. Hill' 'Hill'
	adjective = 'A.P.' 'A.' 'P.' 'AP' 'A' 'P'
	thedesc = "<<self.sdesc>>"
;

PeterSeebach: knownTopic
	sdesc = "Peter Seebach"
	noun = 'Peter Seebach' 'Seebach'
	adjective = 'Peter' 
	thedesc = "<<self.sdesc>>"
;

