/*
 *	A library to implement the "use" verb.  For the most part, this 
 *	involves asking the player to be more specific about what they want 
 *	to do.  For some object classes, there is a clear and obvious use and
 *	so that is what's called.
 */

modify thing
	usemessage = "You'll have to be more specific how you want to use <<self.thedesc>>."
	verDoUseWith(actor, io) = { self.usemessage; }
	verDoUseOn(actor, io) = { self.usemessage; }
	verDoUseIn(actor, io) = { self.usemessage; }
	verDoUseBetween(actor, io) = { self.usemessage; }
	verDoUseOver(actor, io) = { self.usemessage; }
	verDoUseThru(actor, io) = { self.usemessage; }
	verDoUseUnder(actor, io) = { self.usemessage; }
	verDoUseBehind(actor, io) = { self.usemessage; }
	verIoUseWith(actor) = { self.usemessage; }
	verIoUseOn(actor) = { self.usemessage; }
	verIoUseIn(actor) = { self.usemessage; }
	verIoUseBetween(actor) = { self.usemessage; }
	verIoUseOver(actor) = { self.usemessage; }
	verIoUseThru(actor) = { self.usemessage; }
	verIoUseUnder(actor) = { self.usemessage; }
	verIoUseBehind(actor) = { self.usemessage; }
	verDoUse(actor) = { self.usemessage; }
;

modify buttonitem
	verDoUse(actor) = { self.verDoPush(actor); }
	doUse(actor) = { self.doPush(actor); }
;

modify clothingItem
	verDoUse(actor) = { self.verDoWear(actor); }
	doUse(actor) = { self.doWear(actor); }
;	

modify doorway
	verDoUse(actor) = {
		if (self.isopen)
			self.verDoClose(actor);
		else
			self.verDoOpen(actor);
	}
	doUse(actor) = {
		if (self.isopen)
			self.doClose(actor);
		else
			self.doOpen(actor);
	}
;

useVerb: deepverb
	verb = 'use'
	sdesc = "use"
	ioAction(withPrep) = 'UseWith'
	ioAction(onPrep) = 'UseOn'
	ioAction(inPrep) = 'UseIn'
	ioAction(betweenPrep) = 'UseBetween'
	ioAction(overPrep) = 'UseOver'
	ioAction(thruPrep) = 'UseThru'
	ioAction(underPrep) = 'UseUnder'
	ioAction(behindPrep) = 'UseBehind'
	doAction = 'Use'
;


